name: Build

on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: macos
    env:
      NETLIFY_SITE_ID: 05a59e52-9a87-44db-ae19-53727b9062c9
      NETLIFY_AUTH_TOKEN: ${{ secrets.NETLIFY_AUTH_TOKEN }}
    steps:
      - name: Checkout
        uses: actions/checkout@v2
      - name: Setup Go
        uses: actions/setup-go@v2
        with:
          go-version: 1.24
      - name: Installing Wails
        run: |
          go install github.com/wailsapp/wails/v2/cmd/wails@latest
      - name: Running Wails doctor
        run: |          
          wails doctor
      - name: Build
        run: |
          npm install
          wails build -clean -platform darwin/arm64